export interface NursingMemberVO {
  /**
   * 主键
   */
  id: string | number;

  /**
   * 编号
   */
  sn: string;

  /**
   * 姓名
   */
  name: string;

  /**
   * 性别: sys_user_sex
   */
  gender: number;

  /**
   * 年龄
   */
  age: number;

  /**
   * 联系方式
   */
  contact: string;

  /**
   * 身份证号
   */
  idNumber: string | number;

  /**
   * 民族, dict: inst_ethnic_group
   */
  ethnicGroup: number;

  /**
   * 文化程度, dict: inst_edu_attainment
   */
  eduAttainment: number;

  /**
   * 家庭住址
   */
  homeAddress: string;

  /**
   * 入职日期
   */
  entryDate: string;

  /**
   * 头像url
   */
  avatarUrl: string;

}

export interface NursingMemberForm extends BaseEntity {
  /**
   * 主键
   */
  id?: string | number;

  /**
   * 操作单位
   */
  deptId?: string | number;

  /**
   * 操作人
   */
  userId?: string | number;

  /**
   * 编号
   */
  sn?: string;

  /**
   * 姓名
   */
  name?: string;

  /**
   * 性别: sys_user_sex
   */
  gender?: number;

  /**
   * 年龄
   */
  age?: number;

  /**
   * 联系方式
   */
  contact?: string;

  /**
   * 身份证号
   */
  idNumber?: string | number;

  /**
   * 民族, dict: inst_ethnic_group
   */
  ethnicGroup?: number;

  /**
   * 文化程度, dict: inst_edu_attainment
   */
  eduAttainment?: number;

  /**
   * 家庭住址
   */
  homeAddress?: string;

  /**
   * 入职日期
   */
  entryDate?: string;

  /**
   * 头像url
   */
  avatarUrl?: string;

}

export interface NursingMemberQuery extends PageQuery {

  /**
   * 操作单位
   */
  deptId?: string | number;

  /**
   * 操作人
   */
  userId?: string | number;

  /**
   * 编号
   */
  sn?: string;

  /**
   * 姓名
   */
  name?: string;

  /**
   * 性别: sys_user_sex
   */
  gender?: number;

  /**
   * 年龄
   */
  age?: number;

  /**
   * 联系方式
   */
  contact?: string;

  /**
   * 身份证号
   */
  idNumber?: string | number;

  /**
   * 民族, dict: inst_ethnic_group
   */
  ethnicGroup?: number;

  /**
   * 文化程度, dict: inst_edu_attainment
   */
  eduAttainment?: number;

    /**
     * 日期范围参数
     */
    params?: any;
}



