export interface PatrolPlanVO {
  /**
   * 记录ID
   */
  id: string | number;

  /**
   * 巡更日期
   */
  patrolDate: string;

  /**
   * 巡更类型
   */
  patrolType: string;

  /**
   * 巡更项目
   */
  patrolItem: string;

  /**
   * 巡更时段
   */
  patrolPeriod: string;

  /**
   * 执行区域
   */
  executionArea: string;

  /**
   * 巡更人员
   */
  patrolPersonnel: string;

  /**
   * 备注
   */
  remarks: string;

  /**
   * 用户ID
   */
  userId: string | number;

  /**
   * 部门ID
   */
  deptId: string | number;

}

export interface PatrolPlanForm extends BaseEntity {
  /**
   * 记录ID
   */
  id?: string | number;

  /**
   * 巡更日期
   */
  patrolDate?: string;

  /**
   * 巡更类型
   */
  patrolType?: string;

  /**
   * 巡更项目
   */
  patrolItem?: string;

  /**
   * 巡更时段
   */
  patrolPeriod?: string;

  /**
   * 执行区域
   */
  executionArea?: string;

  /**
   * 巡更人员
   */
  patrolPersonnel?: string;

  /**
   * 备注
   */
  remarks?: string;

  /**
   * 用户ID
   */
  userId?: string | number;

  /**
   * 部门ID
   */
  deptId?: string | number;

}

export interface PatrolPlanQuery extends PageQuery {

  /**
   * 巡更日期
   */
  patrolDate?: string;

  /**
   * 巡更类型
   */
  patrolType?: string;

  /**
   * 巡更项目
   */
  patrolItem?: string;

  /**
   * 巡更时段
   */
  patrolPeriod?: string;

  /**
   * 执行区域
   */
  executionArea?: string;

  /**
   * 巡更人员
   */
  patrolPersonnel?: string;

  /**
   * 备注
   */
  remarks?: string;

  /**
   * 用户ID
   */
  userId?: string | number;

  /**
   * 部门ID
   */
  deptId?: string | number;

    /**
     * 日期范围参数
     */
    params?: any;
}



